package cc3002.smallwebserver.tests;

import static org.junit.Assert.*;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

import org.junit.Test;

import cc3002.smallwebserver.SimpleWebServer;


public class TestSimple {
	@Test public void testLaunch() {
		SimpleWebServer server;
		try {
			server = new SimpleWebServer("/Users/alexandrebergel/www/", 8001);
			check("http://localhost:8001/test.html", 
					"<html>\n"+					
					"  <head><title>Hello World!</title></head>\n"+
					"  <body>Body example</body>\n"+
					"</html>"
					);

			check("http://localhost:8001/test2.html", 
					"<html>\n"+					
					"  <head><title>Second page</title></head>\n"+
					"  <body>Body example2</body>\n"+
					"</html>");
			server.shutdown();

		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	private void check(String urlToCheck, String contentToCompare) {
		try {
			URL url = new URL (urlToCheck);
			URLConnection urlConnection = url.openConnection();
			InputStream s = url.openStream();
			int length = urlConnection.getContentLength();
			byte[] content = new byte[length];
			s.read(content);
			String stringContent = new String(content); 
			assertTrue(stringContent.startsWith(contentToCompare));
			
		} catch(Exception e) {}
	}
}
